Subject: Re: b18 make problem
From: [email-masked] (Jon Travis)

12 Jul 1997 13:15:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

> When we run b18 make on NT4SP3 make variables defined in makefiles are
> not propagated to recursively invoked makes as they are on our unix
> systems.  The makefiles we test this on are identical between the unix
> and nt systems, so it is definitely the version of make we're using.
> Applying the "-e" command line flag has no effect on this problem.
> 
> Does anyone know of a fix for this?
> 

I have experienced the same thing with our makefiles..  We are using
a very old version on our UNIX machines, and the newer one which
comes with the b18 release.  I am in the situation of needing to move
to the newer make, so I think the possible solution would be to:

In the make program there has to be some place where the variables
internal to make are being set..  Simply do a setenv() in that routine,
and the submakes should receive those same variables.  I have not implemented
this yet, just an idea.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".